Bug 95092 - Remove HTML options from the Advanced Options dialog - cleanup code
Remove HTML options from the Advanced Options dialog - cleanup code
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Marek Fukala
Jindrich Sedek
: PLAN, UI
Depends on:
Blocks: 95077
  Show dependency treegraph
 
Reported: 2007-02-09 15:06 UTC by Josef Pavlicek
Modified: 2009-05-18 10:45 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Pavlicek 2007-02-09 15:06:27 UTC
Hi,
according to the ISSUE http://www.netbeans.org/issues/show_bug.cgi?id=90522
I started to consolidate the option settings for these modules:

org.netbeans.core               
org.netbeans.core.ui            
org.netbeans.core.windows        
org.netbeans.modules.autoupdate
org.netbeans.modules.db
org.netbeans.modules.db.sqleditor
org.netbeans.modules.derby
org.netbeans.modules.diff
org.netbeans.modules.editor
org.netbeans.modules.html.editor
org.netbeans.modules.java.editor
org.netbeans.modules.editor.options
org.netbeans.modules.form
org.netbeans.modules.i18n
org.netbeans.modules.j2ee.sun.appsrv81
org.netbeans.modules.junit
org.netbeans.modules.pdf
org.netbeans.modules.diff
org.netbeans.modules.tasklist.docscan
org.netbeans.modules.suggestions_framework
org.netbeans.modules.web.core
org.netbeans.modules.xml.core
org.netbeans.modules.xml.text
org.openide.text

The main idea is to remove all Advanced Options settings which we have in
NetBeans now. The necessary options should be placed into the new panel placed
in the Miscellaneous. For this is necessary  to prepare some short description
of new  options  (in the ideal case to do UI Specification). I will be
consolidate UI design for you together. Please, let me know if you are able to
do it and try to tell me the time frame in which we can suppose be ready with UI
spec.

Thanks for cooperation
Josef Pavlicek
Software eXperience Desing Team
Comment 1 Petr Jiricka 2007-02-20 08:40:30 UTC
Hi Josef, I assume this issue is about the 
Editor -> Editor Settings -> HTML Editor node in the Advanced Options dialog,
right? 

Well, shouldn't we have a UI review for the editor settings as such? There will
be a big portion common to _all_ editors, and HTML can be just a small part of
this, but it does not make sense to review the UI for HTML without the editor as
such. I don't think we need a separate review for individual languages; any UI
specific to the individual languages can be reviewed as a part of the larger
editor settings review.
Comment 2 Josef Pavlicek 2007-02-20 09:31:11 UTC
Hi Petr,
the goal of this issue is to remove all settings from Advanced Options settings,
consolidate them and the important move to new panel in Miscellaneous.  I don't
know exactly, which settings has Editor and which HTML editor in the  Advanced
Options settings. We need to prepare one big (or a few partial ) UI
specifiaction, which describe the new settings placed in the Miscellaneous. I
will review it.

So, now we should prepare some list of settings which we have for all Editors in
the Advanced Options settings and we have to think, which from them we really
need and which we want to place into  new panel in Micsellaneous.

I will help somebody from Editor team to do the new design of panel (panels) for
Editor/Editors

Thanks
Josef
Comment 3 Petr Jiricka 2007-02-20 09:45:23 UTC
Ok, so I will consider this mostly a part of the review for editor settings -
issue 95077.
Comment 4 Petr Jiricka 2007-02-20 10:37:15 UTC
Removing the dependency of 90522 on this - let's track this as a part of 95077.
Comment 5 jrojcek 2008-05-15 09:35:53 UTC
Trying to clarify what this issue is about.
Comment 6 Antonin Nebuzelsky 2008-06-26 12:11:21 UTC
Already removed in 6.5 M1, right?

Should be closed fixed AFAIK...
Comment 7 Marek Fukala 2008-06-26 16:58:17 UTC
Yes, removed from the UI, although the options related code in html module settings needs to be cleaned up. Switching to
defect.
Comment 8 Marek Fukala 2008-08-21 11:02:49 UTC
already done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo